Package: spatialite-gui
Version: 1.7.1-4.1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

   * What led up to the situation?
        Started using Spatialite-gui.
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
        I created a new database, and started to import some shapefiles,
nothing exotic.
   * What was the outcome of this action?
        Segmentation fault
   * What outcome did you expect instead?
        To function, without crash.

toni@arheo:~$ gdb spatialite-gui
GNU gdb (Debian 7.7.1+dfsg-3) 7.7.1
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from spatialite-gui...Reading symbols from /usr/lib/debug
/.build-id/d9/fa742608e5c06d96524f4aabc444e6b6265d90.debug...done.
done.
(gdb) run
Starting program: /usr/bin/spatialite-gui
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffea497700 (LWP 25575)]
[New Thread 0x7fffe9c96700 (LWP 25576)]
[New Thread 0x7fffe9278700 (LWP 25577)]
[New Thread 0x7fffe8a77700 (LWP 25578)]
[Thread 0x7fffe8a77700 (LWP 25578) exited]
[New Thread 0x7fffe8a77700 (LWP 25586)]
[New Thread 0x7fffd66fc700 (LWP 25587)]
[Thread 0x7fffe9278700 (LWP 25577) exited]
[Thread 0x7fffe8a77700 (LWP 25586) exited]
[New Thread 0x7fffe8a77700 (LWP 25595)]
[New Thread 0x7fffe9278700 (LWP 25596)]
[Thread 0x7fffe8a77700 (LWP 25595) exited]
[Thread 0x7fffe9278700 (LWP 25596) exited]
[New Thread 0x7fffe9278700 (LWP 25632)]
[New Thread 0x7fffe8a77700 (LWP 25633)]
[Thread 0x7fffe9278700 (LWP 25632) exited]
[Thread 0x7fffe8a77700 (LWP 25633) exited]
[New Thread 0x7fffe8a77700 (LWP 25642)]
[Thread 0x7fffd66fc700 (LWP 25587) exited]
[New Thread 0x7fffd66fc700 (LWP 25671)]
[Thread 0x7fffd66fc700 (LWP 25671) exited]
[Thread 0x7fffe8a77700 (LWP 25642) exited]
[New Thread 0x7fffe8a77700 (LWP 25792)]
[New Thread 0x7fffd66fc700 (LWP 25877)]
[New Thread 0x7fffe9278700 (LWP 25878)]
[Thread 0x7fffe9278700 (LWP 25878) exited]
[Thread 0x7fffe8a77700 (LWP 25792) exited]

Program received signal SIGSEGV, Segmentation fault.
std::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t>
>::assign (this=this@entry=0x7fffffff99f0,
    __str=<error reading variable: Cannot access memory at address
0xffffffffffffffe8>)
    at /scratch/packages/gcc/4.9/gcc-4.9-4.9.1/build/x86_64-linux-
gnu/libstdc++-v3/include/bits/basic_string.tcc:249
249     /scratch/packages/gcc/4.9/gcc-4.9-4.9.1/build/x86_64-linux-
gnu/libstdc++-v3/include/bits/basic_string.tcc: Nincs ilyen fájl vagy
könyvtár.


After this, i rebuilded the package with wxwidgets2.8 and everything it's ok
now.



-- System Information:
Debian Release: jessie/sid
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing-proposed-updates'), 
(500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.14-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=hu_HU.UTF-8, LC_CTYPE=hu_HU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages spatialite-gui depends on:
ii  libc6             2.19-10
ii  libfreexl1        1.0.0g-1
ii  libgaiagraphics1  0.5-2
ii  libgcc1           1:4.9.1-12
ii  libgeos-c1        3.4.2-5
ii  libproj0          4.8.0-5
ii  libspatialite5    4.1.1-10
ii  libsqlite3-0      3.8.6-1
ii  libstdc++6        4.9.1-12
ii  libwxbase2.8-0    2.8.12.1+dfsg2-2
ii  libwxgtk2.8-0     2.8.12.1+dfsg2-2
ii  libxml2           2.9.1+dfsg1-4

spatialite-gui recommends no packages.

spatialite-gui suggests no packages.

-- no debconf information

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to